package com.dgtly.order.domain;

import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * @description:经销商认证实体
 * @author:qxm
 * @date:2021/9/27 16:55
 */
public class CustomerAuthModel  extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公司名称 */
    @Excel(name = "公司")
    private String companyName;

    /** 公司代码 */
//    @Excel(name = "公司代码")
    private String companyCode;

    /** 销售大区 */
    @Excel(name = "销售大区")
    private String saleName;

    /** 销售大区代码 */
//    @Excel(name = "销售大区代码")
    private String saleCode;

  /*  *//** 销售部 *//*
    @Excel(name = "销售部", width = 30)*/
    private String officeName;

    /** 销售部代码 */
//    @Excel(name = "销售部代码")
    private String officeCode;

    /** 销售分部 */
    @Excel(name = "销售部", width = 30)
    private String subOfficeName;

    /** 销售分部代码 */
//    @Excel(name = "销售分部代码")
    private String subOfficeCode;

    /** 经销商 */
    @Excel(name = "经销商", width = 30)
    private String customerName;

    /** 经销商代码 */
    @Excel(name = "经销商代码")
    private String customerCode;

    /** 认证时间 */
    @Excel(name = "认证时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", type = Excel.Type.EXPORT)
    private Date authTime;

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getSaleName() {
        return saleName;
    }

    public void setSaleName(String saleName) {
        this.saleName = saleName;
    }

    public String getSaleCode() {
        return saleCode;
    }

    public void setSaleCode(String saleCode) {
        this.saleCode = saleCode;
    }

    public String getOfficeName() {
        return officeName;
    }

    public void setOfficeName(String officeName) {
        this.officeName = officeName;
    }

    public String getOfficeCode() {
        return officeCode;
    }

    public void setOfficeCode(String officeCode) {
        this.officeCode = officeCode;
    }

    public String getSubOfficeName() {
        return subOfficeName;
    }

    public void setSubOfficeName(String subOfficeName) {
        this.subOfficeName = subOfficeName;
    }

    public String getSubOfficeCode() {
        return subOfficeCode;
    }

    public void setSubOfficeCode(String subOfficeCode) {
        this.subOfficeCode = subOfficeCode;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    public Date getAuthTime() {
        return authTime;
    }

    public void setAuthTime(Date authTime) {
        this.authTime = authTime;
    }

    @Override
    public String toString() {
        return "CustomerAuthModel{" +
                "companyName='" + companyName + '\'' +
                ", companyCode='" + companyCode + '\'' +
                ", saleName='" + saleName + '\'' +
                ", saleCode='" + saleCode + '\'' +
                ", officeName='" + officeName + '\'' +
                ", officeCode='" + officeCode + '\'' +
                ", subOfficeName='" + subOfficeName + '\'' +
                ", subOfficeCode='" + subOfficeCode + '\'' +
                ", customerName='" + customerName + '\'' +
                ", customerCode='" + customerCode + '\'' +
                ", authTime=" + authTime +
                '}';
    }
}
